Package org.gradle.plugins.ide.idea.model

# Class Path

java.lang.Object
org.gradle.plugins.ide.idea.model.Path

Direct Known Subclasses:
  `FilePath`

public class Path extends Object
Represents a path in a format as used often in ipr and iml files.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Path(String url)`
  `Path(String url, String canonicalUrl, String relPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getCanonicalUrl()`
  Canonical url.
  `String`
  `getRelPath()`
  The relative path of the path.
  `String`
  `getUrl()`
  The url of the path.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Path

    public Path(String url)

  - ### Path

    public Path(String url, String canonicalUrl, String relPath)

- ## Method Details

  - ### getUrl

    public String getUrl()
    The url of the path. Must not be null.

  - ### getRelPath

    public String getRelPath()
    The relative path of the path. Must not be null.

  - ### getCanonicalUrl

    public String getCanonicalUrl()
    Canonical url.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`